Conversion Quotes
A conversion quote locks the conversion rate between the merchant and shopper currencies for a certain period of time. Merchants can repeatedly use it to price payments in the shopper's local currency during its validity period. Please refer to our product documentation for integration details.
Data Retention Policy: You can query Conversion Quote resources for a maximum of 31 days since creation.
POST /api/v1/pa/conversion_quotes/createGET /api/v1/pa/conversion_quotes/{id}
Create a Conversion Quote
POST /api/v1/pa/conversion_quotes/create
Create a new conversion quote for converting from merchant currency to shopper currency.
The currency used by the merchant for pricing or payment (3-letter ISO 4217 code).
Unique request identifier specified by the merchant. Maximum length is 64.
The currency that the shopper prefers to use (3-letter ISO-4217 code).
The period for which the conversion quote remains valid. If not specified, the default value is HR_1.
HR_1HR_24The conversion rate from the merchant currency to the shopper currency.
Time at which this Conversion Quote was created.
Time at which this Conversion Quote expires.
Unique identifier of the Conversion Quote.
The currency used by the merchant for pricing or payment (3-letter ISO 4217 code).
The currency that the shopper prefers to use (3-letter ISO-4217 code).
Status of the Conversion Quote
- CREATED: The conversion quote has been created and is valid for use.
- EXPIRED: The conversion quote has expired.
The period for which the conversion quote remains valid. One of HR_1, HR_24.
| Error status | Description |
|---|---|
| 400 | Bad Request. Possible error codes: |
| 401 | Unauthorized. Possible error codes: |
| 403 | Forbidden |
| 404 | Not Found. Possible error codes: |
| 500 | Server Error. Possible error codes: |
$curl --request POST \> --url 'https://api.sandbox.airwallex.com/api/v1/pa/conversion_quotes/create' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json' \> --data '{> "merchant_currency": "USD",> "request_id": "71e0ff5a-d4c0-4c1d-b77b-64b2966d5411",> "shopper_currency": "SGD",> "validity_period": "HR_1">}'
1{2 "conversion_rate": 1.287532,3 "created_at": "2025-07-15T06:15:09Z",4 "expires_at": "2025-07-15T07:15:09Z",5 "id": "cvq_hkpd5k6pgfub1fyurc86",6 "merchant_currency": "USD",7 "shopper_currency": "SGD",8 "status": "CREATED",9 "validity_period": "HR_1"10}
Retrieve a Conversion Quote
GET /api/v1/pa/conversion_quotes/{id}
Get a conversion quote by specifying its unique id.
Unique identifier of the conversion quote.
The conversion rate from the merchant currency to the shopper currency.
Time at which this Conversion Quote was created.
Time at which this Conversion Quote expires.
Unique identifier of the Conversion Quote.
The currency used by the merchant for pricing or payment (3-letter ISO 4217 code).
The currency that the shopper prefers to use (3-letter ISO-4217 code).
Status of the Conversion Quote
- CREATED: The conversion quote has been created and is valid for use.
- EXPIRED: The conversion quote has expired.
The period for which the conversion quote remains valid. One of HR_1, HR_24.
| Error status | Description |
|---|---|
| 400 | Bad Request. Possible error codes: |
| 401 | Unauthorized. Possible error codes: |
| 403 | Forbidden |
| 404 | Not Found. Possible error codes: |
| 500 | Server Error. Possible error codes: |
$curl --request GET \> --url 'https://api.sandbox.airwallex.com/api/v1/pa/conversion_quotes/conversion_quote_id' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1{2 "conversion_rate": 1.287532,3 "created_at": "2025-07-15T06:15:09Z",4 "expires_at": "2025-07-15T07:15:09Z",5 "id": "cvq_hkpd5k6pgfub1fyurc86",6 "merchant_currency": "USD",7 "shopper_currency": "SGD",8 "status": "CREATED",9 "validity_period": "HR_1"10}